# Format

enum Format

The report format.

- full (default value) will show details about types, rules and creators
- short will only show nodes and their values

## Entries

FULL
Link copied to clipboard
FULL
SHORT
Link copied to clipboard
SHORT

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): ModelReport.Format

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<ModelReport.Format>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.